import * as ServicesApp from './services';
import * as WidgetsApp from './widgets';

export const DEBUG = !PRODUCTION;

export const HOMEHUB = {...window.HOMEHUB_CONFIG};

export const INSTALLED_APPS = [];

export const REDUX_MIDDLEWARES = [];

export const LOCALES = {
  'en-us': 'English (United States)',
  'en-gb': 'English (United Kingdom)',
  'pl-pl': 'Polski',
};

export const SERVICES = {...ServicesApp.SERVICES};

export const WIDGETS = {...WidgetsApp.WIDGETS};

export const WEBSOCKET = {
  url: 'ws://127.0.0.1:3010/backend/websocket',
};

export const OFFLINE_MODE = false;

export const READ_ONLY = false;
