import {
  kWidgetTime, kWidgetUptime, kWidgetWeather,
} from '@bthlabs/homehub-core';

import TimeWidgetView from './TimeWidgetView';
import UptimeWidgetView from './UptimeWidgetView';
import WeatherWidgetView from './WeatherWidgetView';

export const WIDGETS = {
  [kWidgetTime]: TimeWidgetView,
  [kWidgetUptime]: UptimeWidgetView,
  [kWidgetWeather]: WeatherWidgetView,
};
