/*!
 * BTHLabs HomeHub - iFormicarium Integration (https://bthlabs.pl/)
 * Copyright 2021-present BTHLabs
 * Apache License Version 2.0
 */

import * as defs from './defs';
import {IFormicariumService} from './IFormicariumService';
import {IFormicariumWidgetView} from './IFormicariumWidgetView';

export const WIDGETS = {
  [defs.kWidgetIFormicarium]: IFormicariumWidgetView,
};

export const SERVICES = {
  [defs.kServiceIFormicarium]: IFormicariumService,
};
