import {kServiceTime, kWidgetTime} from '@bthlabs/homehub-core';

export const DEFAULT_SERVICES = [
  {
    kind: kServiceTime,
    instance: 'TimeWidgetView1',
    characteristics: {
      locale: 'en-us',
      timeFormat: '',
      dateFormat: 'DATE_HUGE',
    },
    layout: {x: 0, y: 0, w: 12, h: 3},
    widgetKlass: 'WTF',
  },
  {
    kind: kServiceTime,
    instance: 'TimeWidgetView2',
    characteristics: {
      locale: 'en-gb',
      timeFormat: '',
      dateFormat: 'DATE_HUGE',
    },
    layout: {x: 0, y: 3, w: 12, h: 3},
    widgetKlass: kWidgetTime,
  },
  {
    kind: kServiceTime,
    instance: 'TimeWidgetView3',
    characteristics: {
      locale: 'pl-pl',
      timeFormat: '',
      dateFormat: 'DATE_HUGE',
    },
    layout: {x: 0, y: 6, w: 12, h: 3},
    widgetKlass: kWidgetTime,
  },
];

export const COLORS = [
  '#A4C400', '#60A917', '#008A00', '#00ABA9', '#1BA1E2', '#0050EF',
  '#6A00FF', '#AA00FF', '#F472D0', '#D80073', '#A20025', '#E51400',
  '#FA6800', '#F0A30A', '#E3C800', '#6D8764', '#647687', '#76608A',
  '#87794E',
];
