import {
  kServiceOfflineWeather, kServiceTime, kServiceUptime, kServiceWeather,
} from '@bthlabs/homehub-core';

import {TimeService} from './time';
import {UptimeService} from './uptime';
import {OfflineWeatherService, WeatherService} from './weather';

export const SERVICES = {
  [kServiceTime]: TimeService,
  [kServiceUptime]: UptimeService,
  [kServiceWeather]: WeatherService,
  [kServiceOfflineWeather]: OfflineWeatherService,
};
