import {BaseService} from '@bthlabs/homehub-core';
import React from 'react';

export const FakeWidget = (props) => { // eslint-disable-line no-unused-vars
  return <span>FakeWidget</span>;
};

export const FakeWidgetSettingsView = (props) => { // eslint-disable-line no-unused-vars
  return <span>FakeWidgetSettingsView</span>;
};

FakeWidget.defaultLayout = {w: 1, h: 1};
FakeWidget.layoutConstraints = {minW: 1, minH: 1};
FakeWidget.settingsView = FakeWidgetSettingsView;

export class FakeService extends BaseService {
  static kind = 'FakeService';
  static widget = 'FakeWidget';
  async start () {
  }
  async stop () {
  }
}

export const FakeWidgetWithoutSettings = (props) => { // eslint-disable-line no-unused-vars
  return <span>FakeWidgetWithoutSettings</span>;
};

FakeWidgetWithoutSettings.defaultLayout = {w: 1, h: 1};
FakeWidgetWithoutSettings.layoutConstraints = {minW: 1, minH: 1};

export class FakeServiceWithoutSettings extends BaseService {
  static kind = 'FakeServiceWithoutSettings';
  static widget = 'FakeWidgetWithoutSettings';
  async start () {
  }
  async stop () {
  }
}
