import * as localStorage from './localStorage';
import * as rpc from './rpc';

export * from './base';
export * from './dashboards';
export * from './hashlib';
export * from './services';
export * from './websocket';

export const LocalStorage = {
  getItem: localStorage.getItem,
  setItem: localStorage.setItem,
};

export const RPC = {
  callMethod: rpc.callMethod,
};
