/*!
 * BTHLabs HomeHub - IKEA Tradfri Integration (https://bthlabs.pl/)
 * Copyright 2021-present BTHLabs
 * Apache License Version 2.0
 */

import * as defs from './defs';
import {TradfriService} from './TradfriService';
import {TradfriWidgetView} from './TradfriWidgetView';

export const WIDGETS = {
  [defs.kWidgetTradfri]: TradfriWidgetView,
};

export const SERVICES = {
  [defs.kServiceTradfri]: TradfriService,
};
